User profile
GET
/v1/meReturns the profile of the current mail account. Use it to display the username and login in your application.
Authentication and access · Errors and retries
Request
curl -X GET 'https://adapt-mail.com/v1/me' \ -H 'Authorization: Bearer <access_token>'Parameters
X-Customer-IDheader- Option 1
stringOption 2null
Responses
200 Successful response
application/json
object
idintegeremail- Option 1
stringOption 2null namestringverifiedbooleanquota_mbintegermailbox_id- Option 1
integerOption 2null auth_typestringloginstringis_adminbooleanfiles_enabledbooleanservice_managedboolean
401 Login required
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
403 No access
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
404 Resource not found
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
409 State conflict
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
422 Validation error
application/json
object
detailarrayArray elementsobjectlocNecessarilyarrayArray elementsOption 1stringOption 2integermsgNecessarilystringtypeNecessarilystring
503 Temporarily unavailable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject